{$uid = $instance->getUid()}




<div {foreach $instance->getAnimationData() as $data => $value} data-{$data}="{$value}" {/foreach} data-dzm-cdp-wrapper="{$uid}" class="dzm-cdp-wrapper d-flex align-items-center {if $instance->getProperty('xPosition') === 'center'}justify-content-center {/if}{$instance->getStyleClasses()} {$instance->getAnimationClass()}" style="{$instance->getStyleString()};">


    <span data-dzm-cdp-text-before="{$uid}" class="dzm-cpd-text-before">{$instance->getProperty('textBefore')}&nbsp;</span>
    <span data-dzm-cdp-numbers-wrapper="{$uid}" class="dzm-cpd-style-1 dzm-cpd-counter-wrapper {if !empty($instance->getProperty('bgColor'))}px-3 py-1{/if} " style="background-color:{$instance->getProperty('bgColor')};color:{$instance->getProperty('textColor')}">
        <span data-dzm-cdp-days="{$uid}">Tage </span>
        <span data-dzm-cdp-hours="{$uid}">Stunden </span>
        <span data-dzm-cdp-minutes="{$uid}">Minuten </span>
        <span data-dzm-cdp-seconds="{$uid}">Sekunden </span>
    </span>
    <span data-dzm-cdp-text-after="{$uid}" class="dzm-cpd-text-after">&nbsp;{$instance->getProperty('textAfter')}</span>


</div>

<script>



    document.addEventListener('DOMContentLoaded',()=>{
        {if $instance->getProperty('timerType') == 'static'}
        (new CountdownPlus('{$uid}')).init(
            {
                type:'{$instance->getProperty('timerType')}',
                endDate: '{$instance->getProperty('endDate')}',
                daySuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='days' section='global'}{elseif $instance->getProperty('textStyle') === 'time'}:{else}d{/if}',
                hourSuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='hours' section='global'}{elseif $instance->getProperty('textStyle') === 'time'}:{else}h{/if}',
                minuteSuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='minutes' section='global'}{elseif $instance->getProperty('textStyle') === 'time'}:{else}m{/if}',
                secondSuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='seconds' section='global'}{elseif $instance->getProperty('textStyle') === 'short'}s{/if}',
                hideExpiredElements:{if $instance->getProperty('hideExpired')}true{else}false{/if},
                expiredStyle:'{$instance->getProperty('expiredStyle')}',
                textBefore:'{$instance->getProperty('textBefore')}',
                textAfter:'{$instance->getProperty('textAfter')}',
                textExpired:'{$instance->getProperty('textExpired')}',
                textBeforeExpired:'{$instance->getProperty('textBeforeExpired')}',
                textAfterExpired:'{$instance->getProperty('textAfterExpired')}',
            }
        );
        {else}
        (new CountdownPlus('{$uid}')).init(
            {
                type:'{$instance->getProperty('timerType')}',
                endTime: '{$instance->getProperty('endTime')}',
                repeatMonday: '{$instance->getProperty('repeatMonday')}',
                repeatTuesday: '{$instance->getProperty('repeatTuesday')}',
                repeatWednesday: '{$instance->getProperty('repeatWednesday')}',
                repeatThursday: '{$instance->getProperty('repeatThursday')}',
                repeatFriday: '{$instance->getProperty('repeatFriday')}',
                repeatSaturday: '{$instance->getProperty('repeatSaturday')}',
                repeatSunday: '{$instance->getProperty('repeatSunday')}',
                daySuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='days' section='global'}&nbsp;{elseif $instance->getProperty('textStyle') === 'time'}:{else}d {/if}',
                hourSuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='hours' section='global'}&nbsp;{elseif $instance->getProperty('textStyle') === 'time'}:{else}h {/if}',
                minuteSuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='minutes' section='global'}&nbsp;{elseif $instance->getProperty('textStyle') === 'time'}:{else}m {/if}',
                secondSuffix:'{if $instance->getProperty('textStyle') === 'long'}&nbsp;{lang key='seconds' section='global'}&nbsp;{elseif $instance->getProperty('textStyle') === 'short'}s{/if}',
                hideExpiredElements:{if $instance->getProperty('hideExpired')}true{else}false{/if},
                expiredStyle:'{$instance->getProperty('expiredStyle')}',
                textBefore:'{$instance->getProperty('textBefore')}',
                textAfter:'{$instance->getProperty('textAfter')}',
                textExpired:'{$instance->getProperty('textExpired')}',
                textBeforeExpired:'{$instance->getProperty('textBeforeExpired')}',
                textAfterExpired:'{$instance->getProperty('textAfterExpired')}',
            }
        );


        {/if}


    })
</script>

