{if $instance->getProperty('useBtn')}
    {$btnType = $instance->getProperty('btntype')}
    {$btnStyle = $instance->getProperty('btncolor')}
    {$btnWidth = $instance->getProperty('btnwidth')}
    {$uid = $instance->getUid()}

    <div class="w-100 d-flex
    justify-content-{$instance->getProperty('btnorientationXS')}
    justify-content-sm-{$instance->getProperty('btnorientationSM')}
    justify-content-md-{$instance->getProperty('btnorientationMD')}
    justify-content-lg-{$instance->getProperty('btnorientationLG')}
    justify-content-xl-{$instance->getProperty('btnorientationXL')}
    dzm-btn-snippet-wrapper">
        {if isset($isFakeBtn) && $isFakeBtn}
            <div class="dzm-btn dzm-btn-{if $btnType != 'plain'}{$btnType}-{/if}{$btnStyle}
              btn btn-{if $btnType != 'full'}{$btnType}-{/if}{$btnStyle}"
               style="width:{$btnWidth}">
                {$instance->getProperty('btntext')}
                <i class="{$instance->getProperty('btnicon')} ml-2" style="transform:translateY(1px)"></i>
            </div>
        {elseif isset($instance->getProperty('btnFunctionType')) && $instance->getProperty('btnFunctionType') == 'function'}
            <button data-dzm-event-dispatcher-event-id="{$instance->getProperty('eventId')}" data-dzm-event-dispatcher-id="{$uid}"  class="dzm-btn {if $btnType == 'link'}p-0{/if} dzm-btn-{if $btnType != 'plain' && $btnType != 'link'}{$btnType}-{/if}{$btnStyle} btn btn-{if $btnType != 'full'}{$btnType}-{/if}{$btnStyle}" style="width:{$btnWidth}">
                {if $instance->getProperty('useIcon') && $instance->getProperty('btnicon') !== null && $instance->getProperty('iconPlacement') == 'Vor dem Text'}
                    <i class="{$instance->getProperty('btnicon')} mr-2" style="transform:translateY(1px)"></i>
                {/if}
                {$instance->getProperty('btntext')}
                {if $instance->getProperty('useIcon') && $instance->getProperty('btnicon') !== null && $instance->getProperty('iconPlacement') == 'Nach dem Text'}
                    <i class="{$instance->getProperty('btnicon')} ml-2" style="transform:translateY(1px)"></i>
                {/if}
            </button>
            <script>
                document.addEventListener('DOMContentLoaded',()=> {
                    (new DZMEventDispatcher('{$uid}','{$instance->getProperty('eventId')}','click')).init()

                })
            </script>

        {else}
            <a href="{$instance->getProperty('btnlink')}"
                    {if {$instance->getProperty('btnopen')}} target="_blank" {/if}
               class="dzm-btn {if $btnType == 'link'}p-0{/if} dzm-btn-{if $btnType != 'plain' && $btnType != 'link'}{$btnType}-{/if}{$btnStyle}
              btn btn-{if $btnType != 'full'}{$btnType}-{/if}{$btnStyle}"
               style="width:{$btnWidth}">
                {if $instance->getProperty('useIcon') && $instance->getProperty('btnicon') !== null && $instance->getProperty('iconPlacement') == 'Vor dem Text'}
                    <i class="{$instance->getProperty('btnicon')} mr-2" style="transform:translateY(1px)"></i>
                {/if}
                {$instance->getProperty('btntext')}
                {if $instance->getProperty('useIcon') && $instance->getProperty('btnicon') !== null && $instance->getProperty('iconPlacement') == 'Nach dem Text'}
                    <i class="{$instance->getProperty('btnicon')} ml-2" style="transform:translateY(1px)"></i>
                {/if}

            </a>
        {/if}

    </div>
{/if}
