<section id="{$instance->getProperty('blockId')}" class="{$instance->getStyleClasses()} d-flex justify-content-center">
    {$script = $portlet->getScriptById($instance)}
    {if $isPreview}
        <style>
            {if isset($script)}
            #dzm-consc-{$script->scriptUID}:before{
                content: 'Script: {$script->scriptName}';
                background: #146f63;
                color:white;
                font-weight: bold;
                position: absolute;
                top: -27px;
                left: 10px;
                padding: 2px 15px;
                border-radius: 5px 5px 0 0;
            }
            {/if}
        </style>
        <div class="d-flex flex-column align-items-center">
            <div class="dzm-consc-wrapper" id="dzm-consc-{if isset($script)}{$script->scriptUID}{else}no-script{/if}">
                {if $script == null}
                    <p>Script wurde gelöscht</p>
                {else}
                    {$script->script}
                {/if}
            </div>
            {if isset($script->useConsentManager) && $script->useConsentManager && isset($script->consentItem->consentUID)}
                <div class="p-3">------ Alternative bei fehlendem Consent ------</div>
                <div data-dzm-cookie-trigger class="alert dzm-cookie-alert py-3 d-inline-flex">
                    <div class="dzm-cookie-alert-content">
                        <strong><span class="{$instance->getProperty('icon')} mr-2"></span>{$instance->getProperty('noCookieHeader')}</strong>
                        {$instance->getProperty('noCookieText')}
                    </div>
                </div>
            {/if}
        </div>

    {else}

        {if $script !== null}
            {if isset($script->useConsentManager) && $script->useConsentManager && isset($script->consentItem->consentUID)}

                    {if $smarty.session.consents.{$script->consentItem->consentUID}}
                        {$script->script}
                    {else}
                        <div data-dzm-cookie-trigger class="alert dzm-cookie-alert py-3 d-inline-flex">
                            <div class="dzm-cookie-alert-content">
                                <strong><span class="{$instance->getProperty('icon')} mr-2"></span>{$instance->getProperty('noCookieHeader')}</strong>
                                {$instance->getProperty('noCookieText')}
                            </div>
                        </div>
                    {/if}


            {else}
                {$script->script}
            {/if}
        {/if}
    {/if}


</section>




